#include "at32f403a_407.h" 
#include "settings_api.h"
#include "settings_ai.h"
#include "analog_input.h"

#if defined (MAI_12)

//
void settings_ai_set_all_default(void)
{
    // Аналоговые входы
    settings_ai_def(&settings);
    
    // Питание внешних датчиков
    settings_ext_sens_power_def(&settings);
}

//
void settings_ai_def(settings_t *settings)
{
    // Все входы выключены
    settings->ai_state_bits = 0;
    
    // Режим измерения напряжения
    settings->ai_mode_bits = 0;
    
    for (int i = 0; i < AI_ALL_NUMBER; i++) 
    {  
        settings->ai[i].state = 0;  // вход выключен
        settings->ai[i].mode = 0;   // режим измерения напряжения
        settings->ai[i].gain_factor = 1;    // коэф-т усиления внешнего ADC
    }
    
    settings->ai[0].name = AN_INP_1;
    settings->ai[1].name = AN_INP_2;
    settings->ai[2].name = AN_INP_3;
    settings->ai[3].name = AN_INP_4;
    settings->ai[4].name = AN_INP_5;
    settings->ai[5].name = AN_INP_6;
    settings->ai[6].name = V_ISO_CL;
    settings->ai[7].name = V_ISO;
    
    settings->ai[8].name = AN_INP_7;
    settings->ai[9].name = AN_INP_8;
    settings->ai[10].name = AN_INP_9;
    settings->ai[11].name = AN_INP_10;
    settings->ai[12].name = AN_INP_11;
    settings->ai[13].name = AN_INP_12;
    settings->ai[14].name = CRNT_LIM_U_BFR_R;
    settings->ai[15].name = CRNT_LIM_U_ABFR_R;
    
    // Дополнительные каналы работают всегда (режим измерения напряжения).
    settings->ai[6].state = 1;
    settings->ai[7].state = 1;
    settings->ai[14].state = 1;
    settings->ai[15].state = 1;
}

//
void settings_ext_sens_power_def(settings_t *settings)
{
    settings->ext_sens_power = 0;
}

#endif